<ion-view view-title="{{ 'TAB_CHATS' | translate }}"
		  hide-back-button="true">
	<ion-nav-buttons side="right">
	    <aw-action-sheet></aw-action-sheet>
	</ion-nav-buttons>
	<ion-content>
		<ion-list>
			<ion-item class="item-remove-animate item-icon-right" 
					  ng-repeat="chat in vm.chats track by $index"
                      ng-click="vm.setCurrentContact(chat)"
                      type="item-text-wrap"
                      nav-direction="forward"
                      href="#/chats/{{chat.name}}"
                      ui-sref="tab.chat-detail({jid: chat.jid, cname: chat.name})">
				<h2>{{chat.name}}</h2>
				<p>{{chat.recentDate | date : 'HH:mm:ss'}}</p>
				<p>{{chat.recentBody}}</p>
				<i class="icon ion-chevron-right icon-accessory"></i>

				<ion-option-button class="button-assertive" ng-click="vm.remove(chat.jid)">
					Delete
				</ion-option-button>
			</ion-item>
			<div ng-show="vm.chats.length == 0" class="center-no-content">
				<h3>Keine lokal gespeicherten Chats vorhanden.</h3>
			</div>
		</ion-list>
	</ion-content>
</ion-view>